<xml> </xml>

IrrKlang.NET |

# ISoundEngine.AddSoundSourceAlias Method

Adds a sound source as alias for an existing sound source, but with a different name or optional different default settings. This is useful if you want to play multiple sounds but each sound isn't necessarily one single file. Also useful if you want to or play the same sound using different names, volumes or min and max 3D distances.

[Visual Basic]
Public Function AddSoundSourceAlias( _
ByVal baseSource As ISoundSource, _
ByVal soundName As String _
) As ISoundSource
[C#]
public ISoundSource AddSoundSourceAlias(
ISoundSource baseSource,
string soundName
);

#### Parameters

baseSource
  The sound source where this sound source should be based on. This sound source will use the baseSource as base to access the file and similar, but it will have its own name and its own default settings.
soundName
  Name of the new sound source to be added.

#### Return Value

Returns the pointer to the added sound source or 0 if not sucessful because for example a sound already existed with that name. If not successful, the reason will be printed into the log.

#### See Also

ISoundEngine Class | IrrKlang Namespace